PayloadTermQuery.PayloadTermWeight (Lucene 3.6.2 API)
Keywords: org.apache.lucene.search.payloads.PayloadTermQuery.PayloadTermWeight class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search.payloads
Class PayloadTermQuery.PayloadTermWeight

    java.lang.Object
      org.apache.lucene.search.Weight
          org.apache.lucene.search.spans.SpanWeight
              org.apache.lucene.search.payloads.PayloadTermQuery.PayloadTermWeight

All Implemented Interfaces:
  Serializable

Enclosing class:
  PayloadTermQuery

    protected class PayloadTermQuery.PayloadTermWeight

extends SpanWeight

See Also:
  Serialized Form

Nested Class Summary
`protected class` | `PayloadTermQuery.PayloadTermWeight.PayloadTermSpanScorer`

Field Summary

Fields inherited from class org.apache.lucene.search.spans.SpanWeight
`idf, query, queryNorm, queryWeight, similarity, terms, value`

Constructor Summary
`PayloadTermQuery.PayloadTermWeight(PayloadTermQuery query, Searcher searcher)`

Method Summary
`Explanation` | `explain(IndexReader reader, int doc)` An explanation of the score computation for the named document.
`Scorer` | `scorer(IndexReader reader, boolean scoreDocsInOrder, boolean topScorer)` Returns a `Scorer` which scores documents in/out-of order according to `scoreDocsInOrder`.

Methods inherited from class org.apache.lucene.search.spans.SpanWeight
`getQuery, getValue, normalize, sumOfSquaredWeights`

Methods inherited from class org.apache.lucene.search.Weight
`scoresDocsOutOfOrder`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PayloadTermQuery.PayloadTermWeight

    public PayloadTermQuery.PayloadTermWeight(PayloadTermQuery query,
                                              Searcher searcher)
                                       throws IOException

Throws:
  `IOException`

Method Detail

### scorer

    public Scorer scorer(IndexReader reader,
                         boolean scoreDocsInOrder,
                         boolean topScorer)
                  throws IOException

  Description copied from class: `Weight`
  Returns a `Scorer` which scores documents in/out-of order according to `scoreDocsInOrder`.

  NOTE: even if `scoreDocsInOrder` is false, it is recommended to check whether the returned `Scorer` indeed scores documents out of order (i.e., call `Weight.scoresDocsOutOfOrder()`), as some `Scorer` implementations will always return documents in-order.
  NOTE: null can be returned if no documents will be scored by this query.

  Overrides:
    `scorer` in class `SpanWeight`
  Parameters:
    `reader` - the `IndexReader` for which to return the `Scorer`.
    `scoreDocsInOrder` - specifies whether in-order scoring of documents is required. Note that if set to false (i.e., out-of-order scoring is required), this method can return whatever scoring mode it supports, as every in-order scorer is also an out-of-order one. However, an out-of-order scorer may not support `DocIdSetIterator.nextDoc()` and/or `DocIdSetIterator.advance(int)`, therefore it is recommended to request an in-order scorer if use of these methods is required.
    `topScorer` - if true, `Scorer.score(Collector)` will be called; if false, `DocIdSetIterator.nextDoc()` and/or `DocIdSetIterator.advance(int)` will be called.
  Returns:
    a `Scorer` which scores documents in/out-of order.
  Throws:
    `IOException`

### explain

    public Explanation explain(IndexReader reader,
                               int doc)
                        throws IOException

  Description copied from class: `Weight`
  An explanation of the score computation for the named document.

  Overrides:
    `explain` in class `SpanWeight`
  Parameters:
    `reader` - sub-reader containing the give doc
  Returns:
    an Explanation for the score
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD